Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class WordArea

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.WordArea

All Implemented Interfaces:
  java.io.Serializable

public class WordArea
extends InlineArea

A string of characters without spaces

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary
`protected int[]` | `letterAdjust` An array of width for adjusting the individual letters (optional)
`protected int` | `offset` The correction offset for the next area
`protected java.lang.String` | `word` The text for this word area

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`WordArea(java.lang.String w, int o, int[] la)` Create a word area

Method Summary
`int[]` | `getLetterAdjustArray()`
`int` | `getOffset()` Get the offset of this inline area.
`java.lang.String` | `getWord()`
`void` | `setOffset(int o)` Set the offset of this inline area.

Methods inherited from class org.apache.fop.area.inline.InlineArea
`addChildArea, applyVariationFactor, getAdjustingInfo, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustment, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### word

    protected java.lang.String word

  The text for this word area

### offset

    protected int offset

  The correction offset for the next area

### letterAdjust

    protected int[] letterAdjust

  An array of width for adjusting the individual letters (optional)

Constructor Detail

### WordArea

    public WordArea(java.lang.String w,
                    int o,
                    int[] la)

  Create a word area

Parameters:
  `w` - the word string
  `o` - the offset for the next area
  `la` - the letter adjust array (may be null)

Method Detail

### getWord

    public java.lang.String getWord()

  Returns:
    Returns the word.

### getOffset

    public int getOffset()

  Description copied from class: `InlineArea`
  Get the offset of this inline area. This returns the offset of the inline area which is relative to the before edge of the parent area.

  Overrides:
    `getOffset` in class `InlineArea`
  Returns:
    Returns the offset.

### setOffset

    public void setOffset(int o)

  Description copied from class: `InlineArea`
  Set the offset of this inline area. This is used to set the offset of the inline area which is relative to the before edge of the parent area.

  Overrides:
    `setOffset` in class `InlineArea`
  Parameters:
    `o` - The offset to set.

### getLetterAdjustArray

    public int[] getLetterAdjustArray()

  Returns:
    the array of letter adjust widths

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.